/* OS independent getgr functions */

#include "ru_grp.h"

int getgrnam_ru(const char *name, struct group *gbuf, char *buf, size_t buflen) {

    struct group *resultp;

#ifdef linux
    getgrnam_r(name, gbuf, buf, buflen, &resultp);
#endif

#ifdef sun
    resultp = getgrnam_r(name, gbuf, buf, buflen);
#endif

    return resultp == NULL;

}


int getgrent_ru(struct group * resultbuf, char *buffer, size_t buffsize, struct group **resultp) {

#ifdef linux
    getgrent_r(resultbuf, buffer, buffsize, resultp);
#endif

#ifdef sun
    *resultp = getgrent_r(resultbuf, buffer, buffsize);
#endif

    return *resultp == NULL;

}
